summaryrefslogtreecommitdiffstats
path: root/mail/mutt-devel/scripts
diff options
context:
space:
mode:
authornaddy <naddy@FreeBSD.org>2002-08-13 22:05:04 +0000
committernaddy <naddy@FreeBSD.org>2002-08-13 22:05:04 +0000
commitedaf772522e720f2a7d7841e2d1af34b9974883f (patch)
tree42218d9bcf234e6dc9687f11af6cccce4a4d69f8 /mail/mutt-devel/scripts
parent42c53db6c54eddb5613afbcee64a82ca0db855bf (diff)
downloadFreeBSD-ports-edaf772522e720f2a7d7841e2d1af34b9974883f.zip
FreeBSD-ports-edaf772522e720f2a7d7841e2d1af34b9974883f.tar.gz
- Add new knobs WITH_MUTT_SIGNATURE_MENU and WITH_MUTT_IFDEF_PATCH.
- Generate the pkg-plist by using a script, so the whole port is much more maintainable. PR: 41621 Submitted by: Udo Schweigert <udo.schweigert@siemens.com>
Diffstat (limited to 'mail/mutt-devel/scripts')
-rw-r--r--mail/mutt-devel/scripts/generate-plist164
1 files changed, 164 insertions, 0 deletions
diff --git a/mail/mutt-devel/scripts/generate-plist b/mail/mutt-devel/scripts/generate-plist
new file mode 100644
index 0000000..4a576c1
--- /dev/null
+++ b/mail/mutt-devel/scripts/generate-plist
@@ -0,0 +1,164 @@
+#!/bin/sh
+#
+# $FreeBSD$
+#
+# set -x
+
+trap ' cleanup ' 0
+trap ' echo_signal; exit 1' 1 2 3 15
+
+tmp_first=$(mktemp ${WRKDIR:=/tmp}/.plist-first.XXXXXXXXXX)
+tmp_last=$(mktemp ${WRKDIR}/.plist-last.XXXXXXXXXX)
+
+cleanup() {
+ rm -f $tmp_first $tmp_last
+}
+
+echo_signal() {
+ echo "Got Signal -- aborting `basename $0`"
+}
+
+PATH=/bin:/usr/bin
+
+cat > $tmp_first <<EOF
+bin/flea
+bin/mutt
+bin/mutt_dotlock
+bin/muttbug
+bin/pgpewrap
+bin/pgpring
+bin/smime_keys
+etc/Muttrc
+etc/mime.types
+share/locale/ca/LC_MESSAGES/mutt.mo
+share/locale/cs/LC_MESSAGES/mutt.mo
+share/locale/da/LC_MESSAGES/mutt.mo
+share/locale/de/LC_MESSAGES/mutt.mo
+share/locale/el/LC_MESSAGES/mutt.mo
+share/locale/eo/LC_MESSAGES/mutt.mo
+share/locale/es/LC_MESSAGES/mutt.mo
+share/locale/et/LC_MESSAGES/mutt.mo
+share/locale/fr/LC_MESSAGES/mutt.mo
+share/locale/gl/LC_MESSAGES/mutt.mo
+share/locale/hu/LC_MESSAGES/mutt.mo
+share/locale/id/LC_MESSAGES/mutt.mo
+share/locale/it/LC_MESSAGES/mutt.mo
+share/locale/ja/LC_MESSAGES/mutt.mo
+share/locale/ko/LC_MESSAGES/mutt.mo
+share/locale/lt/LC_MESSAGES/mutt.mo
+share/locale/nl/LC_MESSAGES/mutt.mo
+share/locale/pl/LC_MESSAGES/mutt.mo
+share/locale/pt_BR/LC_MESSAGES/mutt.mo
+share/locale/ru/LC_MESSAGES/mutt.mo
+share/locale/sk/LC_MESSAGES/mutt.mo
+share/locale/sv/LC_MESSAGES/mutt.mo
+share/locale/tr/LC_MESSAGES/mutt.mo
+share/locale/uk/LC_MESSAGES/mutt.mo
+share/locale/zh_CN/LC_MESSAGES/mutt.mo
+share/locale/zh_TW/LC_MESSAGES/mutt.mo
+EOF
+
+if [ "$MUTT_PORTDOCS" = "yes" ]; then
+cat >> $tmp_first <<EOF
+share/doc/mutt/ABOUT-NLS
+share/doc/mutt/COPYRIGHT
+share/doc/mutt/ChangeLog
+share/doc/mutt/GPL
+share/doc/mutt/INSTALL
+share/doc/mutt/NEWS
+share/doc/mutt/PGP-Notes.txt
+share/doc/mutt/README
+share/doc/mutt/README.SECURITY
+share/doc/mutt/README.SSL
+share/doc/mutt/TODO
+share/doc/mutt/applying-patches.txt
+share/doc/mutt/devel-notes.txt
+share/doc/mutt/language.txt
+share/doc/mutt/language50.txt
+share/doc/mutt/manual.txt
+share/doc/mutt/patch-notes.txt
+share/doc/mutt/smime-notes.txt
+share/doc/mutt/samples/Mush.rc
+share/doc/mutt/samples/Pine.rc
+share/doc/mutt/samples/Tin.rc
+share/doc/mutt/samples/ca-bundle.crt
+share/doc/mutt/samples/gpg.rc
+share/doc/mutt/samples/pgp2.rc
+share/doc/mutt/samples/pgp5.rc
+share/doc/mutt/samples/pgp6.rc
+share/doc/mutt/samples/sample.mailcap
+share/doc/mutt/samples/sample.muttrc
+share/doc/mutt/samples/sample.muttrc-tlr
+share/doc/mutt/samples/smime.rc
+share/doc/mutt/samples/smime_keys_test.pl
+share/doc/mutt/samples/iconv/iconv.aix-3.2.5.rc
+share/doc/mutt/samples/iconv/iconv.aix-4.1.5.rc
+share/doc/mutt/samples/iconv/iconv.aix-4.2.0.rc
+share/doc/mutt/samples/iconv/iconv.aix-4.3.2.rc
+share/doc/mutt/samples/iconv/iconv.freebsd-3.3.rc
+share/doc/mutt/samples/iconv/iconv.glibc-2.1.3.rc
+share/doc/mutt/samples/iconv/iconv.glibc-2.1.90.rc
+share/doc/mutt/samples/iconv/iconv.hpux-10.01.rc
+share/doc/mutt/samples/iconv/iconv.hpux-10.20.rc
+share/doc/mutt/samples/iconv/iconv.hpux-11.00.rc
+share/doc/mutt/samples/iconv/iconv.irix-6.5.rc
+share/doc/mutt/samples/iconv/iconv.osf1-4.0a.rc
+share/doc/mutt/samples/iconv/iconv.osf1-4.0d.rc
+share/doc/mutt/samples/iconv/iconv.solaris-2.4.rc
+share/doc/mutt/samples/iconv/iconv.solaris-2.5.1.rc
+share/doc/mutt/samples/iconv/iconv.solaris-2.6-cjk.rc
+share/doc/mutt/samples/iconv/iconv.solaris-2.6.rc
+share/doc/mutt/samples/iconv/iconv.solaris-2.7.rc
+EOF
+fi
+
+if [ "$MUTT_NNTP" = "yes" ]; then
+echo "share/doc/mutt/ChangeLog.nntp" >> $tmp_first
+fi
+if [ "$MUTT_SGML" = "yes" ]; then
+echo "share/doc/mutt/manual.latin1" >> $tmp_first
+fi
+
+if [ "$MUTT_HTML" = "yes" ]; then
+ html=361
+ if [ "$MUTT_COMPRESSED_FOLDERS" = "yes" ]; then
+ html=$(($html + 5))
+ fi
+ if [ "$MUTT_NNTP" = "yes" ]; then
+ html=$(($html + 22))
+ fi
+ if [ "$MUTT_QUOTE_PATCH" = "yes" ]; then
+ html=$(($html + 2))
+ fi
+ if [ "$MUTT_EDIT_THREADS" = "yes" ]; then
+ html=$(($html + 3))
+ fi
+ if [ "$MUTT_SIGNATURE_MENU" = "yes" ]; then
+ html=$(($html + 1))
+ fi
+ if [ "$MUTT_IFDEF_PATCH" = "yes" ]; then
+ html=$(($html + 1))
+ fi
+ if [ "$MUTT_PGP_OUTLOOK_PATCH" = "yes" ]; then
+ html=$(($html + 1))
+ fi
+ echo "share/doc/mutt/html/manual.html" >> $tmp_first
+ echo "share/doc/mutt/html/manual_toc.html" >> $tmp_first
+ i=1
+ while [ $i -le $html ]; do
+ echo "share/doc/mutt/html/manual$i.html" >> $tmp_first
+ i=$(($i + 1))
+ done
+ echo "@dirrm share/doc/mutt/html" >> $tmp_last
+fi
+
+if [ "$MUTT_PORTDOCS" = "yes" ]; then
+cat >> $tmp_last <<EOF
+@dirrm share/doc/mutt/samples/iconv
+@dirrm share/doc/mutt/samples
+@dirrm share/doc/mutt
+EOF
+fi
+
+sort -u $tmp_first
+cat $tmp_last
OpenPOWER on IntegriCloud